Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle

# Class BulkheadLifecycleService2

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle.BulkheadLifecycleService2

@Dependent public class BulkheadLifecycleService2 extends Object

## Constructor Summary

Constructors
Constructor
Description
`BulkheadLifecycleService2()`

## Method Summary

Modifier and Type
Method
Description
`void`
`service(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadLifecycleService2

public BulkheadLifecycleService2()

## Method Details

### service

@Bulkhead(8) public void service(Barrier barrier)